Ogre::DefaultWorkQueueBase::RequestHandlerHolder Class Reference

Intermediate structure to hold a pointer to a request handler which provides insurance against the handler itself being disconnected while the list remains unchanged. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::DefaultWorkQueueBase::RequestHandlerHolder:
[legend]

List of all members.

## Public Member Functions

| RequestHandlerHolder (RequestHandler *handler)
void | disconnectHandler ()
RequestHandler * | getHandler ()
| Get handler pointer - note, only use this for == comparison or similar, do not attempt to call it as it is not thread safe.
Response * | handleRequest (const Request *req, const WorkQueue *srcQ)
| Process a request if possible.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Attributes

RequestHandler * | mHandler

## Detailed Description

Intermediate structure to hold a pointer to a request handler which provides insurance against the handler itself being disconnected while the list remains unchanged.

Definition at line 472 of file OgreWorkQueue.h.

## Constructor & Destructor Documentation

Ogre::DefaultWorkQueueBase::RequestHandlerHolder::RequestHandlerHolder | ( | RequestHandler * | handler | ) |

Definition at line 478 of file OgreWorkQueue.h.

## Member Function Documentation

void Ogre::DefaultWorkQueueBase::RequestHandlerHolder::disconnectHandler | ( |  | ) |

Definition at line 482 of file OgreWorkQueue.h.

References OGRE_LOCK_RW_MUTEX_WRITE.

RequestHandler* Ogre::DefaultWorkQueueBase::RequestHandlerHolder::getHandler | ( |  | ) |

Get handler pointer - note, only use this for == comparison or similar, do not attempt to call it as it is not thread safe.

Definition at line 492 of file OgreWorkQueue.h.

Response* Ogre::DefaultWorkQueueBase::RequestHandlerHolder::handleRequest | ( | const Request * | req,
|  | const WorkQueue * | srcQ
| ) |  |

Process a request if possible.

Returns:
  Valid response if processed, null otherwise

Definition at line 497 of file OgreWorkQueue.h.

References OGRE_LOCK_RW_MUTEX_READ.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

RequestHandler* Ogre::DefaultWorkQueueBase::RequestHandlerHolder::mHandler`[protected]`

Definition at line 476 of file OgreWorkQueue.h.

The documentation for this class was generated from the following file:

- OgreWorkQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:42